Rem
Rem $Header: initjsp.sql 01-aug-2000.15:44:25 skkunise Exp $
Rem
Rem initjsp.sql
Rem
Rem  Copyright (c) Oracle Corporation 2000. All Rights Reserved.
Rem
Rem    NAME
Rem      initjsp.sql - <one-line expansion of the name>
Rem
Rem    DESCRIPTION
Rem      <short description of component this file declares/defines>
Rem
Rem    NOTES
Rem      <other useful comments, qualifications, etc.>
Rem
Rem    MODIFIED   (MM/DD/YY)
Rem    skkunise    08/01/00 - .
Rem    skkunise    05/16/00 - Created
Rem

call sys.dbms_java.loadjava ('-verbose -resolve -synonym -grant PUBLIC jsp/lib/ojsp.jar jsp/lib/ojsputil.jar');

call dbms_namespace.shell('bind /bin/publishjsp -rebind -class SYS:oracle.jsp.tools.JspcJServer -factory oracle.aurora.namespace.PublishedObjectFactory');

call dbms_namespace.shell('bind /bin/unpublishjsp -rebind -class SYS:oracle.jsp.tools.UnpublishJsp -factory oracle.aurora.namespace.PublishedObjectFactory');

call dbms_namespace.shell('cd /bin');

call dbms_namespace.shell('chmod +rx PUBLIC publishjsp');

call dbms_namespace.shell('chmod +rx PUBLIC unpublishjsp');

Rem Commented exit so that it doesn't exit installer sqlplus shell
-- exit;
